# GimpUi.LabelIntWidget

    const GimpUi = imports.gi.GimpUi;

    let labelIntWidget = new GimpUi.LabelIntWidget({
        widget: value,
    });

This widget is a subclass of GimpUi.Labeled.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelIntWidget

## Constructors

- GimpUi.LabelIntWidget.new

## Methods

- GimpUi.LabelIntWidget.prototype.get_widget

## Properties

- value
- widget

## Signals

- value-changed